{
  "name": "frontend-h5",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build:oss": "npm run type-check && vite build --mode production",
    "build:local": "npm run type-check && vite build --mode local-assets",
    "preview": "vite preview",
    "serve:local": "vite preview --host 0.0.0.0",
    "build-only": "vite build",
    "type-check": "vue-tsc --build"
  },
  "dependencies": {
    "@msgpack/msgpack": "^3.1.3",
    "crypto-js": "^4.2.0",
    "msgpack": "^1.0.3",
    "socket.io-client": "^4.8.3",
    "vconsole": "^3.15.1",
    "vue": "^3.5.32",
    "vue-router": "^4.6.4"
  },
  "devDependencies": {
    "@tsconfig/node24": "^24.0.4",
    "@types/node": "^24.12.2",
    "@vitejs/plugin-basic-ssl": "^2.3.0",
    "@vitejs/plugin-vue": "^6.0.6",
    "@vue/tsconfig": "^0.9.1",
    "npm-run-all2": "^8.0.4",
    "typescript": "~6.0.0",
    "vite": "^8.0.8",
    "vite-plugin-vue-devtools": "^8.1.1",
    "vue-tsc": "^3.2.6"
  },
  "engines": {
    "node": "^20.19.0 || >=22.12.0"
  }
}
